Bug 205244 - cursor trails/artifacts with nv driver (GeForce 6200 TC) and firefox/thunderbird/gimp
cursor trails/artifacts with nv driver (GeForce 6200 TC) and firefox/thunderb...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
http://img246.imageshack.us/my.php?im...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 11:32 EDT by Mostafa Afgani
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: xorg-x11-drv-nv-2.0.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 19:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg config file (2.79 KB, application/octet-stream)
2007-04-27 05:12 EDT, Gianluca Sforna
no flags Details
X server log when using the provided config file (52.30 KB, application/octet-stream)
2007-04-27 05:14 EDT, Gianluca Sforna
no flags Details
X server log after removing the config file (58.84 KB, text/plain)
2007-04-27 05:15 EDT, Gianluca Sforna
no flags Details
Xorg.0.log generated without xorg.conf file in rawhide at 18/05/07 (48.31 KB, text/plain)
2007-05-18 14:43 EDT, Gianluca Cecchi
no flags Details

  None (edit)
Description Mostafa Afgani 2006-09-05 11:32:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.6) Gecko/20060808 Fedora/1.5.0.6-2.fc5 Firefox/1.5.0.6 pango-text

Description of problem:
There appears to be some redraw/refresh problems with mozilla firefox/thunderbird/gimp and the XOrg 'nv' driver? Basically, the cursor/brush leaves a trail wherever is passes through.

These trails do not appear anywhere else(gedit, gnome-terminal, kate). They are also absent if 'vesa' is used instead.


Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-1.2.0-3.fc5

How reproducible:
Always


Steps to Reproduce:
1. Start typing in a text entry field of thunderbird/firefox
2. Move cursor around using the cursor keys
3.

Actual Results:
A trail was left wherever the cursor passed through. They disappear once the screen is repainted (minimize then maximize).

Expected Results:
There should not be any trail created by the cursor/brush.

Additional info:
Configuration:
Intel Core2Duo E6600
Asus P5B
Corsair TWIN2X1024-8500 (1GB @ 1066 MHz)
PowerColor GeForce 6200 TC 64MB
BenQ FP91G FlatPanel (used as generic LCD 1280x1024)
Comment 1 Matěj Cepl 2006-12-27 11:36:28 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Gianluca Sforna 2007-04-27 05:05:11 EDT
I have the same problem here with a slightly different NVidia card (6600)
running a Core 6, so I am going to attach the requested info.
Comment 3 Gianluca Sforna 2007-04-27 05:12:51 EDT
Created attachment 153590 [details]
xorg config file
Comment 4 Gianluca Sforna 2007-04-27 05:14:03 EDT
Created attachment 153591 [details]
X server log when using the provided config file
Comment 5 Gianluca Sforna 2007-04-27 05:15:41 EDT
Created attachment 153592 [details]
X server log after removing the config file
Comment 6 Gianluca Cecchi 2007-05-18 14:42:26 EDT
Without an xorg.conf file and using rawhide as at 18/05/07 the problem seems
resolved.
xorg-x11-drv-nv-2.0.2-2.fc7
I used www.google.com as test for input of text and also
http://www.villaserenafg.it/moduli/richiesta.htm in both single line and
multiline *rectangular area). After input of some text I press left-right cursor
buttons with single lines or left-right-up-down for rectangular ones without any
problem in rendering.

lspci for my card gives:
01:00.0 VGA compatible controller: nVidia Corporation NV43 [GeForce 6600 LE]
(rev a2)
I'm going to attach Xorg.0.log where you can also find default config used by
the system not founding one xorg.conf.

Gianluca
Comment 7 Gianluca Cecchi 2007-05-18 14:43:52 EDT
Created attachment 155024 [details]
Xorg.0.log generated without xorg.conf file in rawhide at 18/05/07
Comment 8 Matěj Cepl 2007-05-18 19:11:21 EDT
Per reporter's request closing as CURRENTRELEASE xorg-x11-drv-nv-2.0.2-2.fc7.

Note You need to log in before you can comment on or make changes to this bug.